package futils;

import java.util.prefs.Preferences;

/**
 * Copyright DocJava, inc. User: lyon
 * <p/>
 * Date: Nov 7, 2004
 * <p/>
 * Time: 6:55:44 AM
 */
public class PreferencesExample {

    public static final String REALKEY = "com.docjava.foo";
    public static final String NO_DATA = "NO_DATA";

    public static void main(String[] args) {
        new PreferencesExample().doit();
    }

    public void doit() {
        // write into users preferences
        Preferences p = Preferences.userRoot();
        p.put(REALKEY, "bar");

        // read back from HKEY_CURRENT_USER
        System.out.println(p);
        System.out.println(p.get(REALKEY,NO_DATA));

        // write into prefs
        p = Preferences.userRoot();
        p.put(REALKEY, "hello world");

        // read back from HKEY_LOCAL_MACHINE
        System.out.println(p);
        System.out.println(p.get(REALKEY, NO_DATA));
    }
}
