package sound;

/**
 * Created by
 * User: lyon
 * Date: Nov 29, 2003
 * Time: 11:11:38 AM
 *
 */

import bookExamples.ch27BusinessGraphics.charts.BarGraph;
import bookExamples.ch27BusinessGraphics.charts.DoubleDataBean;
import gui.run.RunScroll;

import javax.swing.JPanel;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Container;
import java.awt.Graphics;
import java.awt.GridLayout;

public class DualTraceOscopePanel
        extends JPanel {
    OscopePanel osp1 = new OscopePanel();
    OscopePanel osp2 = new OscopePanel();

    DualTraceOscopePanel() {
        setLayout(new BorderLayout());
        add(getTopSbPanel(), BorderLayout.NORTH);
        add(getBottomSbPanel(), BorderLayout.SOUTH);
        add(getLeftSbPanel(), BorderLayout.WEST);
        add(getRightSbPanel(), BorderLayout.EAST);
        Component tracePanel = osp1.getTracePanel();
        Component barTrace = new Component() {
            public void paint(Graphics g) {
                super.paint(g);
                DoubleDataBean dd = new DoubleDataBean(200, 200);
                double yVals[] = {10, -20, -40, 80};
                dd.setYVals(yVals);
                BarGraph bg = new BarGraph(dd);
                bg.setBarWidth(6);

            }
        };
        add(tracePanel, BorderLayout.CENTER);
    }

    public JPanel getRightSbPanel() {
        JPanel jp = new JPanel();
        jp.setLayout(new GridLayout(0, 2));
        jp.add(osp2.getRightSb());
        jp.add(osp1.getRightSb());
        return jp;
    }

    public JPanel getLeftSbPanel() {
        JPanel jp = new JPanel();
        jp.setLayout(new GridLayout(0, 2));
        jp.add(osp1.getLeftSb());
        jp.add(osp2.getLeftSb());
        return jp;
    }

    public JPanel getBottomSbPanel() {
        JPanel jp = new JPanel();
        jp.setLayout(new GridLayout(2, 0));
        jp.add(osp2.getBottomSb());
        jp.add(osp1.getBottomSb());
        return jp;
    }

    public JPanel getTopSbPanel() {
        JPanel jp = new JPanel();
        jp.setLayout(new GridLayout(1, 0));
        RunScroll topSb = osp1.getTopSb();
        jp.add(topSb);
        osp2.setTopSb(topSb);
        return jp;
    }

    public static void main(String args[]) {
        DualTraceOscopePanel dtosp = new DualTraceOscopePanel();
        gui.ClosableJFrame cf = new gui.ClosableJFrame();
        Container c = cf.getContentPane();
        c.add(dtosp);
        c.setLayout(new GridLayout(1, 0));
        cf.setSize(400, 400);
        cf.show();
    }
}

